"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotAcceptableError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class NotAcceptableError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `NOT_ACCEPTABLE`,
            statusCode: 406,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Not Acceptable`;
        }
        super(message, options);
    }
}
exports.NotAcceptableError = NotAcceptableError;
//# sourceMappingURL=406-not-acceptable.js.map