"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestedRangeNotSatisfiableError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class RequestedRangeNotSatisfiableError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `REQUESTED_RANGE_NOT_SATISFIABLE`,
            statusCode: 416,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Requested Range Not Satisfiable`;
        }
        super(message, options);
    }
}
exports.RequestedRangeNotSatisfiableError = RequestedRangeNotSatisfiableError;
//# sourceMappingURL=416-requested-range-not-satisfiable.js.map