"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExpectationFailedError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class ExpectationFailedError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `EXPECTATION_FAILED`,
            statusCode: 417,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Expectation Failed`;
        }
        super(message, options);
    }
}
exports.ExpectationFailedError = ExpectationFailedError;
//# sourceMappingURL=417-expectation-failed.js.map