"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PreconditionRequiredError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class PreconditionRequiredError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `PRECONDITION_REQUIRED`,
            statusCode: 428,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Precondition Required`;
        }
        super(message, options);
    }
}
exports.PreconditionRequiredError = PreconditionRequiredError;
//# sourceMappingURL=428-precondition-required.js.map