"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NoResponseError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class NoResponseError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `NO_RESPONSE`,
            statusCode: 444,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `No Response`;
        }
        super(message, options);
    }
}
exports.NoResponseError = NoResponseError;
//# sourceMappingURL=444-no-response.js.map