"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RetryWithError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class RetryWithError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `RETRY_WITH`,
            statusCode: 449,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Retry With`;
        }
        super(message, options);
    }
}
exports.RetryWithError = RetryWithError;
//# sourceMappingURL=449-retry-with.js.map